%define		php_name	php%{?php_suffix}
%define		modname	mailparse
%define		status		stable
Summary:	%{modname} - email message manipulation
Summary(pl.UTF-8):	%{modname} - obrabianie wiadomości E-mail
Name:		%{php_name}-pecl-%{modname}
Version:	2.1.6
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	0f84e1da1d074a4915a9bcfe2319ce84
URL:		http://pecl.php.net/package/mailparse/
BuildRequires:	%{php_name}-devel >= 4:5.2.0-7.2
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mailparse is an extension for parsing and working with email messages.
It can deal with rfc822 and rfc2045 (MIME) compliant messages.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Mailparse to rozszerzenie do analizy i pracy z wiadomościami poczty
elektronicznej. Radzi sobie z wiadomościami zgodnymi z RFC822 oraz
RFC2024 (MIME).

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--with-%{modname}=%{_prefix}/X11R6/include/X11/

%{__make} CPPFLAGS="-DHAVE_CONFIG_H -I%{_prefix}/X11R6/include/X11"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mailparse.git;a=log;h=AC-branch

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f102840
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c59d8cd
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 9ed8e57
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> b6f81a9
- updated to 2.1.6

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 4bed342
- spec unify

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> db832d1
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 51c26a2
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 1d3ad64
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 2ef9e78
- updated to 2.1.5

* Fri Mar 21 2008 Adam Gołębiowski <adamg@pld-linux.org> a31d17e
- updated to 2.1.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 664b901
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b19bd76
- converted to UTF-8

* Thu Jan 04 2007 Elan Ruusamäe <glen@pld-linux.org> b88404b
- require php-devel with mbfl headers

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 7d8d9f4
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4537487
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 62f137a
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 7b44e7a
- conf.d and php api macros

* Wed Sep 07 2005 Elan Ruusamäe <glen@pld-linux.org> 39574bb
- phpize already calls aclocal/autoconf

* Wed Sep 07 2005 Elan Ruusamäe <glen@pld-linux.org> 681714d
- php{,4}-devel already Requires: auto{make,conf}

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 99b8369
- fixed english information about status of the package (also s/PEAR/PECL/)

